# $Revision: 1.22.2.1 $, $Date: 2007/02/25 13:07:26 $

%define		module	sqlite

Summary:	A DB API v2.0 compatible interface to SQLite
Summary(pl):	Interfejs do SQLite kompatybilny z DB API v2.0
Name:		python-%{module}
Version:	2.0.5
Release:	2
License:	zlib/libpng
Group:		Development/Languages/Python
Source0:	http://initd.org/pub/software/pysqlite/releases/2.0/%{version}/pysqlite-%{version}.tar.gz
# Source0-md5:	574bbb4f7b3a077506689cbab0d9bf7f
URL:		http://www.pysqlite.org/
%pyrequires_eq	python-modules
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	sqlite3-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is an extension module for the SQLite embedded relational
database. It tries to conform to the Python DB-API Spec v2 as far as
possible. One problem is that SQLite returns everything as text. This
is a result of SQLite's internal representation of data, however it
still may be possible to return data in the type specified by the
table definitions.

%description -l pl
Ten pakiet zawiera modu rozszerzenia dla osadzalnej relacyjnej bazy
danych SQLite. Prbuje on by w zgodzie ze specyfikacj Python DB-API
v2 na tyle, na ile to moliwe. Jednym problemem jest to, e SQLite
zwraca wszystko jako tekst. Jest to wynik wewntrznej reprezentacji
danych przez SQLite; mimo to nadal jest moliwe zwracanie danych typu
podanego w definicji tabeli.

%prep
%setup -q -n pysqlite-%{version}

%build
CFLAGS="%{rpmcflags}"
export CFLAGS
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{py_sitedir},%{_examplesdir}/%{name}-%{version}}

python setup.py install \
	--root=$RPM_BUILD_ROOT --optimize=2

rm -f $RPM_BUILD_ROOT%{py_sitedir}/%{module}/*.py
cp -aR doc/code/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/*.html doc/*.css
%dir %{py_sitedir}/pysqlite2
%{py_sitedir}/pysqlite2/*.py[co]
%attr(755,root,root) %{py_sitedir}/pysqlite2/_%{module}.so
%dir %{py_sitedir}/pysqlite2/test
%{py_sitedir}/pysqlite2/test/*.py[co]
%dir %{_examplesdir}/%{name}-%{version}
%{_examplesdir}/%{name}-%{version}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-sqlite.spec,v $
Revision 1.22.2.1  2007/02/25 13:07:26  arekm
- rel 2; rebuild

Revision 1.22  2005/10/24 17:16:10  twittner
- up to 2.0.5
- license changed to zlib/libpng (in accordance with freshmeat.net
  announcement)

Revision 1.21  2005/09/12 18:35:46  troll
- updated to 2.0.4

Revision 1.20  2005/05/28 23:13:06  arekm
- up to 2.0.3

Revision 1.19  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.18  2004/12/26 18:39:32  saq
- release 3

Revision 1.17  2004/12/26 18:32:11  saq
- fixed BR

Revision 1.16  2004/12/26 17:53:21  saq
- release 2 for rebuild with python 2.4

Revision 1.15  2004/11/27 19:01:24  saq
- massive attack: added missing python-devel epoch do BR

Revision 1.14  2004/10/31 20:54:09  paladine
- spaces->tabs
- formatting

Revision 1.13  2004/10/29 22:57:02  arekm
- up to 1.1.1 for sqlite3

Revision 1.12  2004/10/06 11:59:43  zboczuch
- version 1.0
- manual included

Revision 1.11  2004/08/31 12:33:28  darekr
- update to 0.5.1

Revision 1.10  2004/08/19 10:53:48  undefine
- release 2

Revision 1.9  2004/07/28 08:03:18  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.8  2004/07/26 18:15:30  zboczuch
- massive attack: s/CLFAGS/CFLAGS/

Revision 1.7  2004/05/26 21:15:23  ankry
- capitalization, tabs, other cosmetics

Revision 1.6  2003/12/02 20:08:01  leafnode
- updated to 0.5.0

Revision 1.5  2003/12/02 00:03:14  matkor
- Release 4. Ac rebuild with changed Pythons ABI.

Revision 1.4  2003/10/06 15:28:19  leafnode
- included sources
- rel 3

Revision 1.3  2003/08/15 10:07:46  wiget
- rebuild with new python
- release 2

Revision 1.2  2003/07/14 19:01:40  qboosh
- pl, 755 for *.so

Revision 1.1  2003/07/07 23:40:53  leafnode
- created
- adapterized
